# Generated by Django 2.2.17 on 2021-01-20 14:07

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import re


class Migration(migrations.Migration):

    dependencies = [
        ('canvas', '0002_change_website_field'),
    ]

    operations = [
        migrations.CreateModel(
            name='CanvasPickupStockBehaviorComponent',
            fields=[
                ('servicebehaviorcomponent_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='shuup.ServiceBehaviorComponent')),
            ],
            options={
                'abstract': False,
            },
            bases=('shuup.servicebehaviorcomponent',),
        ),
        migrations.AlterField(
            model_name='canvassupplierextra',
            name='sustainability_goals',
            field=models.CharField(max_length=50, validators=[django.core.validators.RegexValidator(re.compile('^\\d+(?:,\\d+)*\\Z'), code='invalid', message='Enter only digits separated by commas.')], verbose_name="Which United Nations' Sustainable Development Goals does your brand address?"),
        ),
]
